package com.ecep.contract.ds.vendor.repository;

import org.springframework.stereotype.Repository;

import com.ecep.contract.VendorType;
import com.ecep.contract.ds.other.repository.BaseEnumEntityRepository;
import com.ecep.contract.model.VendorTypeLocal;

@Repository
public interface VendorTypeLocalRepository extends BaseEnumEntityRepository<VendorType, VendorTypeLocal, Integer> {
    @Override
    default VendorType[] getEnumConstants() {
        return VendorType.values();
    }

    @Override
    default VendorTypeLocal newEntity() {
        return new VendorTypeLocal();
    }
}
